Package Details: eclipse-egit 4.4.1.201607150455_r-1

Git Clone URL: https://aur.archlinux.org/eclipse-egit.git (read-only)
Package Base: eclipse-egit
Description: An Eclipse Team provider for the Git version control system.
Upstream URL: https://www.eclipse.org/egit/
Licenses: EPL
Submitter: archan.paul
Maintainer: sushidude
Last Packager: sushidude
Votes: 115
Popularity: 0.135765
First Submitted: 2011-10-25 06:22
Last Updated: 2016-07-19 20:53

Latest Comments

kevku commented on 2016-05-09 11:13

is deleteing ~/.eclipse really the only way to update the plugins?

sushidude commented on 2015-01-26 04:40

Please refrain from posting a comment every time this package goes out of date. Instead, just click the "Flag package out-of-date" link and I will update it on my earliest convenience.

zaidan commented on 2015-01-24 16:31

Latest Release:

pkgver=3.6.2.201501210735_r
sha512sums=('8095e22266462c996e5473f04ecd464dc323bb8d669e59eedff4fd0ea78c5f13b3329f2290e9c35a71bf7d0f8e84bc2d347b584df5191f39dafc726b009cd84f')

davidmcinnis commented on 2015-01-23 21:50

the sha512 sum changed again:

3d56d32fb7e71ee9a076213cf81c53e5bcfce7057e7ebd6cd1d6f17e4bea26f41edc3e009629eea5f0ddf072119130a20cde0a710f6326068d51b979e47d6bee

Also, I get the following message after changing the sha512L

==> Starting prepare()...
rm: cannot remove ‘features/*.source_*’: No such file or directory
==> ERROR: A failure occurred in prepare()

ooijevaer commented on 2014-12-24 06:28

There's a new version available, could you update the PKGBUILD:

pkgver=3.6.0.201412230720_r

sha512sums=('b8157778125c018bda4e5cb2d232ee0ba452dc4b5c08d573b4c138e05bc9c3662739206fc9f1e1247625c6c879a887bd26e8c4e143f8aed1fea35a35dbd426a5')

Cheers

ethail commented on 2014-10-14 20:07

I'm disowning the package because I stopped using egit ( and pretty much eclipse ) a few weeks ago. Maintaining this is pretty straightforward, just subscribe to https://dev.eclipse.org/mailman/listinfo/egit-dev to keep track of new releases and I'd say that's it.

ethail commented on 2014-09-28 21:58

on a trip, will upddate on tuesday

FreddieChopin commented on 2014-09-27 21:12

The package version changed to 3.5.0.201409260305, and the MD5 is 6308e8c5bb06798270d54acfc99f9e4f

ethail commented on 2014-08-26 06:53

Sorry, I guess I read and answered too fast that one :)

snack commented on 2014-08-26 06:48

I know, but before reporting I'd like to see if there is someone else with the same problem or if it is only me (in the latter case it could be some breakage in my system/configuration rather then a bug in egit).

ethail commented on 2014-08-25 18:14

That kind of comments should be reported upstream, I only package the plugin, nothing else.

snack commented on 2014-08-25 13:17

I can't specify a git repository for existing C++ projects. The popup list that I obtain when right-clicking on a project in the Project Explorer does not contain the Team settings anymore. Everything seems to work fine for projects already having a git repo: the repo status is correctly shown and the Team settings are available. Using eclipse 4.4.0-2, eclipse-cdt 8.4.0-1, eclipse-egit 3.4.1.201406201815-1.
Is anyone else having the same trouble?

ethail commented on 2014-03-25 12:55

I am aware of the 3.3.1 release, just waiting for the mirror used in the PKGBUILD to sync and have the last release in order to update the package. I hope I will be able to update this in a few hours.

ethail commented on 2014-03-07 07:31

I'll update it as soon as possible. It's been kind of a hellish week for me. In fact I've known of the update since Wednesday but haven't got time to update it.

I hope to have a couple hours today for this.

ethail commented on 2013-12-25 18:19

Done, but without changing the pkgrel. Doesn't seem to me that a change of almost no consequence like this needs to force a rebuild.

lestb commented on 2013-12-25 15:24

Can you change the arch to any? There is no indication in the PKGBUILD that a the arch is important and egit is written in Java. Thanks

ethail commented on 2013-10-04 13:08

You're welcome.

biloucat commented on 2013-10-04 12:31

thank you, I am impressed by your responsiveness !

ethail commented on 2013-10-04 11:22

Should be fixed by now. Also, updated to the current release.

ethail commented on 2013-10-04 10:34

I will fix it as soon as I can. Meanwhile, if you need to update the package, download the source from the egit website

biloucat commented on 2013-10-04 09:53

http://mirror.netcologne.de/eclipse//egit/updates/org.eclipse.egit.repository-3.0.3.201309161630-r.zip --> error 404

ethail commented on 2012-10-02 13:49

Maybe you were running two instances of pacaur and one cleaned the build dir,

sent from phone.

neuromancer85 commented on 2012-10-02 13:32

Good old makepkg did the trick :) Previously I was using pacaur...

ethail commented on 2012-10-02 07:48

I'm sorry but I can't reproduce it. I just tried to build and install it again and I don't get that error. Could you please download the source tarball again, extract it, run makepkg and paste the output?

ethail commented on 2012-10-02 07:45

I'm sorry but I can't reproduce it. I just tried to build and install it again and I don't get that error. Could you please paste the full output?

neuromancer85 commented on 2012-10-02 06:50

The update to version 2.1.0.201209190230-1 fails for me with this error: "install: cannot stat 'features/org.eclipse.equinox.weaving.sdk_1.0.200.I20120427-0800.jar.pack.gz': No such file or directory"

slopjong commented on 2012-09-13 11:44

Now download.eclipse.org is faster than the mirror you're using (130-150 kB/s).

http://download.eclipse.org/egit/updates-2.0/org.eclipse.egit.repository-2.0.0.201206130900-r.zip

ethail commented on 2012-09-12 21:16

fixed. Mirror' speed isn't that great either, but at least it's not 40KB/s

ethail commented on 2012-09-12 10:49

try to use http://biruni.upm.my/mirror/eclipse/egit/updates-2.0/org.eclipse.egit.repository-2.0.0.201206130900-r.zip for the source tarball

ethail commented on 2012-09-12 10:48

try to use http://biruni.upm.my/mirror/eclipse/egit/updates-2.0/org.eclipse.egit.repository-2.0.0.201206130900-r.zip as url

ethail commented on 2012-09-12 10:38

I'm also seeing that slow speed you're mentioning. Can't fix the pkgbuild to use a mirror ( if there are any, I don't know yet) right now because I don't have my arch box around ( I'm at the university and I won't return home until late today ).

I'll post a reply as soon as I find a mirror with higher speed.

intgr commented on 2012-09-12 10:25

Are there any mirrors for the download? download.eclipse.org is EXTREMELY slow, I'm getting only 20-40 kB/s.

ethail commented on 2012-07-12 18:10

I've taken the role of maintainer unless someone else wants to maintain the package. I'll upgrade the package in an hour or so (currently testing it, both build and runtime)

ethail commented on 2012-07-12 17:38

I've emailed the maintainer asking him to orphan the package, if he doesn't do it in a week or two, we'll have to ask in the aur-general mailing list for the package to be orphaned

frb commented on 2012-07-07 08:29

Ok but, orphan this package :)

archan.paul commented on 2012-07-04 07:55

As I am not using this package any more, I would appreciate if someone else become the maintainer.
Actually, I am not linking the way Eclipse is packaged in ArchLinux. There must be clear separation between the platform package and SDK package.

archan.paul commented on 2012-07-04 07:53

As I am not using this package any more, I would appreciate if someone else become the maintainer.
Actually, I am not linking the way Eclipse is packaged in ArchLinux. There must be clear separation between the platform package and SDK package.

archan.paul commented on 2012-07-04 07:49

As I am not using this package any more, I would appreciate if someone else become the maintainer.

felixonmars commented on 2012-06-30 12:22

And it is 2.0.0 now.

Anonymous comment on 2012-04-24 08:11

the egit has been updated to 1.3, please update the package

archan.paul commented on 2012-01-23 07:47

Thanks @ChrDr. I have updated the package.

ChrDr commented on 2011-11-24 20:57

I suggest you match your PKGBUILD to the Eclipse plugin package guidelines: https://wiki.archlinux.org/index.php/Eclipse_plugin_package_guidelines

BTW, there is no need to extract the site.zip file within the package, just delete the noextract- und unzip-lines, the zip-file will be unzipped automatically.

eclipse-egit is definitely the better name - see the guidelines. Therefore, I have written a mail to the aur-general mailing list suggesting to delete the egit package (https://aur.archlinux.org/packages.php?ID=22569).

archan.paul commented on 2011-11-06 13:10

javsalgar I have tested this package with Indigo (eclipse 3.7.1-2, eclipse-cdt 8.0.0-1) and it worked. Can you please let me know the problems you faced?

javsalgar commented on 2011-10-28 16:22

Does not work on Indigo.

archan.paul commented on 2011-10-25 07:03

kkb110: Sure I can adopt egit package. I think, the package name should be eclipse-egit instead of egit. What do you suggest?

kkimdev commented on 2011-10-25 06:46

nice work archan.paul, but why don't you just adopt egit package? (the maintainer is empty now)

archan.paul commented on 2011-10-25 06:44

I have made few updates and created a new package in ( https://aur.archlinux.org/packages.php?ID=53429 ). The plugin is working perfectly in my setup.

javsalgar commented on 2011-10-21 11:27

Not working on Eclipse Indigo, these errors are shown:

Plug-in org.eclipse.egit.ui was unable to load class org.eclipse.egit.ui.internal.decorators.GitLightweightDecorator.

java.lang.ClassNotFoundException: org.eclipse.egit.ui.internal.decorators.GitLightweightDecorator
at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:513)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:429)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:417)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:107)
at java.lang.ClassLoader.loadClass(ClassLoader.java:266)
at org.eclipse.osgi.internal.loader.BundleLoader.loadClass(BundleLoader.java:345)
at org.eclipse.osgi.framework.internal.core.BundleHost.loadClass(BundleHost.java:229)
at org.eclipse.osgi.framework.internal.core.AbstractBundle.loadClass(AbstractBundle.java:1207)
at org.eclipse.core.internal.registry.osgi.RegistryStrategyOSGI.createExecutableExtension(RegistryStrategyOSGI.java:174)
at org.eclipse.core.internal.registry.ExtensionRegistry.createExecutableExtension(ExtensionRegistry.java:905)
at org.eclipse.core.internal.registry.ConfigurationElement.createExecutableExtension(ConfigurationElement.java:243)
at org.eclipse.core.internal.registry.ConfigurationElementHandle.createExecutableExtension(ConfigurationElementHandle.java:55)
at org.eclipse.ui.internal.WorkbenchPlugin$1.run(WorkbenchPlugin.java:268)
at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:52)
at org.eclipse.ui.internal.WorkbenchPlugin.createExtension(WorkbenchPlugin.java:264)
at org.eclipse.ui.internal.decorators.LightweightDecoratorDefinition$1.run(LightweightDecoratorDefinition.java:124)
at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
at org.eclipse.core.runtime.Platform.run(Platform.java:888)
at org.eclipse.ui.internal.decorators.LightweightDecoratorDefinition.internalGetDecorator(LightweightDecoratorDefinition.java:120)
at org.eclipse.ui.internal.decorators.LightweightDecoratorDefinition.decorate(LightweightDecoratorDefinition.java:251)
at org.eclipse.ui.internal.decorators.LightweightDecoratorManager$LightweightRunnable.run(LightweightDecoratorManager.java:81)
at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
at org.eclipse.ui.internal.decorators.LightweightDecoratorManager.decorate(LightweightDecoratorManager.java:365)
at org.eclipse.ui.internal.decorators.LightweightDecoratorManager.getDecorations(LightweightDecoratorManager.java:347)
at org.eclipse.ui.internal.decorators.DecorationScheduler$1.ensureResultCached(DecorationScheduler.java:370)
at org.eclipse.ui.internal.decorators.DecorationScheduler$1.run(DecorationScheduler.java:330)
at org.eclipse.core.internal.jobs.Worker.run(Worker.java:54)

kkimdev commented on 2011-09-27 04:30

@d1t2hsu
Could u adopt this package?

d1t2hsu commented on 2011-09-27 03:50

we need binary, KD
jgit dep. include!

pkgver=1.1

depends=('eclipse>=3.6')
source=("http://download.eclipse.org/egit/site.zip")
md5sums=('c7e654d44eb6a132cdff30642296726a')
noextract=('site.zip')
build() {
_dest="$pkgdir/usr/share/eclipse/dropins/$pkgname/eclipse"
install -d $_dest
cd $srcdir
unzip site.zip
find site -name '*source*' -exec rm {} \;
mv site/* $_dest
}

d1t2hsu commented on 2011-09-27 00:40

sorry for the late respone! according to http://www.eclipse.org/forums/index.php/t/220749/
it's conflict w/ pkg "eclipse-subclipse", just remove it to get egit to work.

btw, v1.1 released
source=("egit-d405c550d123d96dde64a0cd105ff1d018c76c27.tar.bz2::http://egit.eclipse.org/w/?p=egit.git;a=snapshot;h=d405c550d123d96dde64a0cd105ff1d018c76c27;sf=tbz2")
md5sums=('efb9910ecdbf4f8eab0b56353b7ef884 ')

kkimdev commented on 2011-08-27 06:50

updated, thanks for your fix. Btw, is this working for you?
On my machine, windows menu -> preference -> team -> Git page breaks down

d1t2hsu commented on 2011-08-27 06:45

like jgit, use bz2
source=("http://egit.eclipse.org/w/?p=egit.git;a=snapshot;h=b3f3d390efb7eb82eb5a0c860f2347067dd4a2d2;sf=tbz2")
md5sums=('e486637dff9e89926d5e0062effea0fc')

kkimdev commented on 2011-07-21 10:48

need help to upgrade this (it's not working now)

blaztinn commented on 2011-06-24 13:49

Disowning the package, because I don't use it any more.

Version 1.0.0 has different download repository, hope this helps:
http://pkgs.fedoraproject.org/gitweb/?p=eclipse-egit.git;a=blob;f=eclipse-egit.spec;h=39fcc17068f30d465c09686ea781007ad7a4224b;hb=HEAD

gothmog.todi commented on 2011-04-10 08:05

Sorry for not responding so long. I am going to disown both jgit and egit, feel free to adopt them.

blaztinn commented on 2011-04-09 23:13

Updated PKGBUILD to 0.11.3: http://pastebin.com/Fy7LsjMh

emphire commented on 2011-04-06 20:04

Please Update!

gothmog.todi commented on 2010-12-28 12:37

updated to 0.10.1-1

flori commented on 2010-12-28 12:08

0.9.3 resources aren't available anymore, current version is 0.10.1

gothmog.todi commented on 2010-11-15 13:00

updated to 0.9.3-1. sorry for the delay

nbryskin commented on 2010-11-08 20:56

update to 0.9.3 please

Anonymous comment on 2010-10-08 01:37

404 Not Found

gothmog.todi commented on 2010-07-16 12:31

adopted and updated to 0.8.4-1

Anonymous comment on 2010-06-16 13:31

Links are broken and 0.8.4 is out.

BoySka commented on 2010-06-04 10:11

org.eclipse.egit_0.7.1-feature.jar doesn't work for me